
package br.padroes.IteratorAnimal;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author linus
 */
public class AnimalCollectionList implements AnimalCollection{
    
    
    private ArrayList<Animal> animals;

    public AnimalCollectionList() {
        
          animals = new ArrayList<Animal>();
   }

    @Override
   public void add(Animal animal){
        animals.add(animal);
        
    }
   
    @Override
    public void remove(Animal animal){
        animals.remove(animal);
    }
    
    @Override
    public Iterator createIterator() {
        return new ListIterator(animals);
    }
    
    
    
}
