package br.padroes.IteratorAnimal;

import java.util.Vector;

public class VectorIterator implements Iterator{
        
        private Vector<Animal> listing;
    	private int cont;
        
    public VectorIterator(Vector<Animal> listing) {
        this.listing = listing;
                cont = 0;
    }
        
     @Override
    public void first() {
        cont = 0;
    }

    @Override
    public void next() {
        cont++;
    }

    @Override
    public boolean done() {
        return cont == listing.size();
    }

    @Override
    public Animal currentItem() {
        if (done()) {
            cont = listing.size() - 1;
        } else if (cont < 0) {
            cont = 0;
        }
        return listing.get(cont);
    }  
        
    
}
