package br.padroes.IteratorAnimal;

public class Client {
    public static void main (String[] args) {
         //Creating animals
         Animal animala = new Animal(); 
         Animal animalb = new Animal(); 
                animala.setNome("Animal A ");
                animalb.setNome("Animal B ");
//Inserting animals into the Vector data structure
//Obs.: For exemplification, only the name attribute was used in the creation of the objects.
AnimalCollection animalCollectionVector = new AnimalCollectionVector();
              animalCollectionVector.add(animala);
              animalCollectionVector.add(animalb);              

// Showing the animals that exist in the Vector data structure
	      System.out.println("Animals Listing in Vector:");
	      Client.showAnimals(animalCollectionVector);

//Inserting animals into the List data structure		
AnimalCollection animalCollectionList = new AnimalCollectionList();
              animalCollectionList.add(animala);
              animalCollectionList.add(animalb);
 
// Showing the animals that exist in the List data structure                                   
              System.out.println("\nAnimals Listing in List:");
	      Client.showAnimals(animalCollectionList);
             
    }
    
private static void showAnimals (AnimalCollection animals) {
//Method that iterates through data structure members
        for (Iterator it = animals.createIterator(); !it
                .done(); it.next()) {
         System.out.println(it.currentItem().getNome());

       } 
   }
}
